<template>
    <div class="contain">
        <div class="header">
          <img class="box" src="" alt=""  >
            <!-- <div class="box" :style="{backgroundImage: 'url(' + datas.memImgUrl + ')', backgroundSize:'contain'}"></div> -->
        </div>
        <div class="content">
            <ul class="list">
                <li>
                    <p class="texle">姓名:</p>
                    <input type="text"
                    :value="name"
                    maxlength="200"
                    @blur="inputEmit($event,'name')"
                    placeholder="请输入姓名" 
                    style="margin-top:30rpx"
                    />
                </li>
                <li>
                    <p class="texle">手机号:</p>
                    <input type="number"
                    :value="phone"
                    maxlength="11"
                    @blur="inputEmit($event,'phone')"
                    placeholder="请输入手机" 
                    style="margin-top:30rpx"
                    />
                    <!-- <p class="texri">{{datas.memPhone?datas.memPhone:''}}</p> -->
                </li>
                <li>
                    <p class="texle">省:</p>
                    <input type="text"
                    :value="province"
                    maxlength="200"
                    @blur="inputEmit($event,'province')"
                    placeholder="请输入所在省" 
                    style="margin-top:30rpx"
                    />
                    <!-- <p class="texri" :style="{color:province==='请选择所在省' ?'#808080':'#000'}" @click="getprovince(provinces)">{{province}}</p> -->
                </li>
                <li>
                    <p class="texle">市:</p>
                    <input type="text"
                    :value="city"
                    maxlength="200"
                    @blur="inputEmit($event,'city')"
                    placeholder="请输入所在市" 
                    style="margin-top:30rpx"
                    />
                    <!-- <p class="texri" :style="{color:city==='请选择所在市' ?'#808080':'#000'}" @click="getcity(citys)">{{city}}</p> -->
                </li>
                <li>
                    <p class="texle">县:</p>
                    <input type="text"
                    :value="country"
                    maxlength="200"
                    @blur="inputEmit($event,'country')"
                    placeholder="请输入所在县" 
                    style="margin-top:30rpx"
                    />
                    <!-- <p class="texri" :style="{color:country==='请选择所在区' ?'#808080':'#000'}" @click="getcountry(countrys)">{{country}}</p>  -->
                </li>
                <li>
                    <p class="texle">乡/村:</p>
                    <input type="text"
                    :value="vllage"
                    maxlength="200"
                    @blur="inputEmit($event,'vllage')"
                    placeholder="请输入乡村" 
                    style="margin-top:30rpx"
                    />
                    <!-- <p class="texri">{{datas.vllage?datas.vllage:''}}</p> -->
                </li>
                <li>
                    <p class="texle">种植面积(亩):</p>
                    <input type="number"
                    :value="maizeArea"
                    maxlength="10"
                    @blur="inputEmit($event,'maizeArea')"
                    placeholder="请输入种植面积" 
                    style="margin-top:30rpx"
                    />
                    <!-- <p class="texri">{{datas.maizeArea?datas.maizeArea:''}}</p> -->
                </li>
            </ul>
        </div>
        <div class="footer1" v-if="type!=='unstart'">
                    <button class="btn" @click="save">保存</button>
        </div>
        <v-province :provinces="provinces" @multimedia="multimediaEvent1" ></v-province>
        <v-city :citys="citys" @multimedia="multimediaEvent2" ></v-city>
        <v-country :countrys="countrys" @multimedia="multimediaEvent3" ></v-country> 
        <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>

    </div>
</template>
<script>
import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import province from '@/components/province/province.vue'
  import city from '@/components/city/city.vue'
  import country from '@/components/country/country.vue'
  import citydata from '@/utils/citydatas.js'
export default {
    data(){
        return{
            hintbox: {
          text: "",
          show: false
        },
            campId:'',
          datas:{},
          name: '',
          phone: '',
          province: '请选择所在省',
          city: '请选择所在市',
          country:'请选择所在区',
          vllage:'',
          maizeArea: '',
          multiArray3: [[], [], []],
        multiIndex3: [0, 0, 0],
        areaCode: '',
        sheng: '',
        shi: '',
        qu: '',
        address: '',
         provinces: {
          text: '8848',
          isshow: false,
          single :false,
          data: [
            {
              name: '',
              highlight:false
            },
          ]
        },
         citys: {
          text: '8848',
          isshow: false,
          single :false,
          data: [
            {
              name: '',
              highlight:false
            },
          ]
        },
         countrys: {
          text: '8848',
          isshow: false,
          single :false,
          data: [
            {
              name: '',
              highlight:false
            },
          ]
        },
        }
    },
    components:{
        'v-province':province,
        'v-city':city,
        'v-country':country,
        'v-hintbox':hintbox

    },
    methods:{
         close(){
        let that =  this;
        that.hintbox.show = false;
        this.hintbox.text = '';
      },
        //获取省市区数据
        getprovince(provinces){
             // 旧机型信息列表
            console.log('listinfo =====',provinces);
            let that = this;
            if(provinces.data.length < 1){
            return;
            }
            provinces.isshow = true;
            console.log('provinceshow',provinces.isshow);
            provinces.data.forEach((item,index)=> {
            // 可选列表
            console.log(item);
            item.highlight = false;
            console.log(index);
            })
        },
        multimediaEvent1(text,provinces){
        let that = this;
        let code = '';
        console.log(text);
        console.log(provinces);
        if(text === 'false'){
          provinces.isshow = false;
        }else {
          provinces.isshow = false;
          let value = '';
          provinces.data.forEach((item, index) => {
            if (item.highlight) {
              console.log('旧机点击======',item);
              that.province = item.name;
              code = item.code;
            }
          })
          let citylist = [];
          that.citys.data.forEach((item,index)=>{
                  if(code === item.provinceCode){
                      citylist.push({
                          name:item.name,
                          highlight:false,
                          code:item.code,
                          provinceCode:item.provinceCode
                      })
                  }
              })
              that.citys.data = citylist;
              console.log('citys',that.citys.data);
        }
      },
      multimediaEvent2(text,citys){
        let that = this;
        let code = '';
        let provinceCode = '';
        console.log(text);
        if(text === 'false'){
          citys.isshow = false;
        }else {
          citys.isshow = false;
          let value = '';
          citys.data.forEach((item, index) => {
            if (item.highlight) {
              console.log('旧机点击======',item);
              that.city = item.name;
              code = item.code;
              provinceCode = item.provinceCode;
            }
          })
          let countrylist = [];
          that.countrys.data.forEach((item,index)=>{
                  if(code === item.cityCode){
                      countrylist.push({
                          name:item.name,
                          highlight:false,
                          cityCode:item.cityCode,
                          provinceCode:item.provinceCode
                      })
                  }
              })
              that.countrys.data = countrylist;
              console.log('citys',that.countrys.data);
        }
      },
        getcity(citys){
            // 旧机型信息列表
            console.log('listinfo =====',citys);
            let that = this;
            if(citys.data.length < 1){
            return;
            }
            citys.isshow = true;
            citys.data.forEach((item,index)=> {
            // 可选列表
            console.log(item);
            item.highlight = false;
            console.log(index);
            })

        },
        getcountry(countrys){
            // 旧机型信息列表
            console.log('listinfo =====',countrys);
            let that = this;
            if(countrys.data.length < 1){
            return;
            }
            countrys.isshow = true;
            countrys.data.forEach((item,index)=> {
            // 可选列表
            console.log(item);
            item.highlight = false;
            console.log(index);
            })

        },
        multimediaEvent3(text,countrys){
        let that = this;
        let code = '';
        let provinceCode = '';
        console.log(text);
        if(text === 'false'){
          countrys.isshow = false;
        }else {
          countrys.isshow = false;
          let value = '';
          countrys.data.forEach((item, index) => {
            if (item.highlight) {
              console.log('旧机点击======',item);
              that.country = item.name;
              code = item.code;
              provinceCode = item.provinceCode;
            }
          })
          
        }
      },
        inputEmit(data,name){
            if(name === 'name'){
              this.name = data.mp.detail.value;
            }
            if(name === 'phone'){
              this.phone = data.mp.detail.value;
            }
            if(name === 'province'){
              this.province = data.mp.detail.value;
            }
            if(name === 'city'){
              this.city = data.mp.detail.value;
            }
            if(name === 'country'){
              this.country = data.mp.detail.value;
            }
            if(name === 'vllage'){
              this.vllage = data.mp.detail.value;
            }
            if(name === 'maizeArea'){
                this.maizeArea = data.mp.detail.value;
            }
        },
         getAjax(){
        let that = this;
          let VerificationCodeEntity =  wx.getStorageSync('informationwxfcc7711dfc2fcfc0');
        let data = {
          openId: VerificationCodeEntity.OpenId
        }
        VeevlinkClient(
          '/acc/var',
          'POST',
          data,
          function (data) {
            console.log(data);
            if(data.success){
              that.varitylist =[];
              that.datas = data.records[0];
              that.province = that.datas.province;
              that.city = that.datas.city;
              that.country = that.datas.county;

            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      },
        //成员详情
        save(){
        let that = this;
        this.actinfo = false;
         this.member = true;
         if(this.name === ''){
             that.hintbox.text = '请填写姓名';
             that.hintbox.show = true;
             return;
         }
         if(this.phone === ''){
             that.hintbox.text = '请填写手机号';
             that.hintbox.show = true;
             return;
         }
         let mobilePatternCN = /^(\+86\s)?1[3456789]{1}\d{9}$/;
         if(!mobilePatternCN.test(that.phone)){
             that.hintbox.text = '请填写正确的手机号';
             that.hintbox.show = true;
             return;
         }
        let data = {
          name: this.name,
          phone: this.phone,
          provice: this.province,
          city: this.city,
          county:this.country,
          vllage:this.vllage,
          maizeArea: this.maizeArea,
          campId: this.campId

        }
        console.log(data);
        VeevlinkClient(
          '/member/create',
          'POST',
          data,
          function (data) {
            console.log(data);
            if(data.success){
              that.datas = data.records[0];
              // wx.reLaunch({
              //   url: '/pages/activity/actInfo/main?id=1'
              // })
              config.href(config.activity.actInfo+'?id=1');
            }else{
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show = true;
            that.hintbox.text = '网络有点问题，请稍后重试！';
          })
      },
        
    },
    onLoad(data){
     let that = this;
     this.campId = data.camId;
     this.getAjax();
    this.name = '';
    this.phone = '';
    this.vllage = '';
    this.maizeArea = '';
     console.log(citydata.citys);
    //  this.provinces.data = [];
    //  citydata.provinces.forEach((item,index)=>{
    //             this.provinces.data.push({
    //                name:item.name,
    //                highlight:false,
    //                code:item.code
    //             })
    //         })
    //  console.log('provinces',this.provinces.data);
    //   this.citys.data = [];
    //  citydata.citys.forEach((item,index)=>{
    //             this.citys.data.push({
    //                name:item.name,
    //                highlight:false,
    //                code:item.code,
    //                provinceCode:item.provinceCode
    //             })
    //         })
    //  console.log(this.citys.data);
    //   this.countrys.data = [];
    //  citydata.countrys.forEach((item,index)=>{
    //             this.countrys.data.push({
    //                name:item.name,
    //                code:item.code,
    //                highlight:false,
    //                cityCode: item.cityCode,
    //                provinceCode: item.provinceCode
    //             })
    //         })
    //  console.log(this.countrys.data);
    //  this.getInfo();
    }
}
</script>
<style lang="scss"  type="text/scss" scoped>
    .contain{
        width: 100%;
        background: white;
        height:14rem;
        position:fixed;

    }
    .contain .header{
        width: 100%;
        height: 2.4rem;  
        text-align: center; 
        
    }
    .contain .header .box{
        width: 1.5rem;
        height: 1.5rem;
        // border: 0.01rem solid black;
        border-radius: 50%;
        margin: 0.6rem auto 0 auto;
    }
    .contain .content{
        width: 100%;
        margin-top: 0.1rem;
    }
    .contain .content .list{
        width: 98%;
        margin: 0 auto;
    }
    .contain .content .list li{
        // width: 100%;
        height: 1rem;
        border-bottom: 0.01rem solid #D8D8D8;
        line-height: 1rem;
        display: flex;
        font-size:0.34rem;
        margin-left:0.3rem;
        margin-right:0.3rem;

    }
    .contain .content .list li .texle{
        width: 30%;
        color: #009CFF;
        font-weight: bold;
    }
     .contain .content .list li .texri{
        width: 70%;
    }
    .footer1{
         width: 100%;
         margin-top: 0.66rem;
        //  margin-bottom: 1rem;
     }
     .footer1 .btn{
         width: 90%;
         margin: 0 auto;
         height: 0.9rem;
         color: white;
         font-size: 0.34rem;
         line-height: 0.9rem;
         background-color: #FD7800;
         border-radius: 0.47rem;
     }
        

</style>
